Home » Cloud » Amazon WS » Now Available: Amazon Linux AMI 2015.03

Now Available: Amazon Linux AMI 2015.03

The Amazon Linux AMI is a supported and maintained Linux image for use on Amazon EC2.

We release new versions of the Amazon Linux AMI every six months after a public testing phase that includes one or more Release Candidates. The Release Candidates are announced in the EC2 forum.

Launching 2015.03 Today
Today we are releasing the 2015.03 Amazon Linux AMI for use in PV and HVM mode, with support for EBS-backed and Instance Store-backed AMIs.

This AMI uses kernel 3.14.35 and is available in all AWS regions.

You can launch this new version of the AMI in the usual ways. You can also upgrade an existing EC2 instance by running

sudo yum clean all
sudo yum update

and then rebooting it.

New Features
The roadmap for the Amazon Linux AMI is driven in large part by customer requests. During this release cycle, we have added a number of features as a result of these requests; here’s a sampling:

  • Python 2.7 is now the default for core system packages, including yum and cloud-init; versions 2.6 and 3.4 are also available in the repositories as python26 and python34, respectively.
  • The nvidia package (required when you run the appropriate AMI on a G2 instance), is now DKMS-enabled. Updating to a new kernel will trigger a nvidia module rebuild for both the running kernel and the newly installed kernel.
  • Ruby 2.2 is now available in the repositories as ruby22; Ruby 2.0 is still the default.
  • PHP 5.6 is now available in the repositories as php56; it can run side-by-side with PHP 5.5.
  • Docker 1.5 is now included in the repositories.
  • Puppet 3.7 is now included. The Puppet 2 and Puppet 3 packages conflict with each other and cannot be installed at the same time.

The release notes contain a longer discussion of the new features and updated packages.

Things to Know
As we have discussed in the past, we are no longer producing new 32-bit AMIs. We are still producing 32-bit packages for customers that are still using the 2014.09 and earlier AMIs. We recommend the use of 64-bit AMIs for new projects.

We are no longer producing new “GPU” AMIs for the CG1 instance type. Once again, package updates are available and the G2 instance type should be used for new projects.

Jeff;

Feed Source: AWS Official Blog
Article Source: Now Available: Amazon Linux AMI 2015.03

About Admin

Powered by WP Robot